# syslogpriority

Provides the same numeric value as syslogseverity for historical reasons.

This property belongs to the Message Properties group.

Name:

  syslogpriority

Category:

  Message Properties

Type:

  integer

## Description

An alias for syslogseverity - included for historical reasons (be careful: it still is the severity, not PRI!). The alias mirrors the same derived value even for inputs without a syslog header.

## Usage

    template(name="example" type="list") {
        property(name="syslogpriority")
    }

## See also

See rsyslog Properties for the category overview.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.